/** MessageDigestによるハッシュ値の生成 */
import java.io.*;
import java.security.*;
import java.lang.*;

public class MD {
 /** 処理を開始するメソッド */
	public static void main( String argv[] ){
		MD5 md = new MD5();
//                System.out.println(argv.length);
                String userid=argv[0];
 		String password;
                if(argv.length < 2){
			password= new String("");
		}else{
			password= argv[1];
		}
        	String enc =md.encode(userid,password);
                System.out.print(enc);
   	}             
}
